Page MenuHomePhabricator

Phabricator email notifications should bundle events as the web interface does
Closed, DeclinedPublic

Description

As a user with limited email digesting capabilities*, I want phabricator to make some basic digesting on my stead, so that I'm not overwhelmed; and to have a consistent behaviour across web interface and emails, so that I'm not confused.

I. Observed: the web interface bundles/digests/collates tightly connected events by a single user under a single header/timestamp, e.g. https://phabricator.wikimedia.org/T85304#943638 . The emails instead show separately the actions which were made separately. Not only the additional emails are annoying, but whether some actions were made together or in multiple steps is totally irrelevant for me as a subscriber, to the point they're often impossible to verify in the web interface (because not displayed).
II. Expected: a single email should be sent for all the events which the web interface bundles together. A delay in sending the email notifications may be added, if needed for this purpose.

(*) Note: I don't fall in this category so I don't have a COI in filing this task.

Event Timeline

Nemo_bis created this task.Dec 25 2014, 9:22 AM
Nemo_bis raised the priority of this task from to Needs Triage.
Nemo_bis updated the task description. (Show Details)
Nemo_bis added a subscriber: Nemo_bis.
Nemo_bis updated the task description. (Show Details)Dec 25 2014, 9:25 AM
Nemo_bis set Security to None.
Aklapper triaged this task as Lowest priority.Dec 25 2014, 2:48 PM
Qgil added a subscriber: Qgil.Dec 29 2014, 2:16 PM

The web ui seems to collate action within the same minute. Should this be the same timeframe applied to email notifications?

Nemo_bis added a comment.EditedJan 4 2015, 6:46 PM

I'm not sure it's exactly one minute,* but yes, the same criteria should be used, whatever they are, for clarity.

(*) I saw it bundling events performed two or more minutes later.

Qgil added a comment.Jan 24 2015, 2:13 AM

That task was for real-time notifications only, but about email notifications, Evan said:

We do not currently plan to ever batch email.

Declined, then?

scfc added a subscriber: scfc.Jan 24 2015, 2:28 AM

I don't see why this task should be declined just because Phacility does not plan to implement it. It is prioritized as "Needs Volunteer", so if someone wants and is able to fix this, at least I would appreciate it very much.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:03 PM

This project is selected for the Developer-Wishlist voting round and will be added to a MediaWiki page very soon. To the subscribers, or proposer of this task: please help modify the task description: add a brief summary (10-12 lines) of the problem that this proposal raises, topics discussed in the comments, and a proposed solution (if there is any yet). Remember to add a header with a title "Description," to your content. Please do so before February 5th, 12:00 pm UTC.

Tgr renamed this task from Email notifications should bundle events as the web interface does to Phabricator email notifications should bundle events as the web interface does.Feb 5 2017, 10:14 AM

This task seems to be another instance of an underlying "too much mail" problem. Upstream's thoughts are in https://secure.phabricator.com/T9161#186251 .

The proper solution would not be a "Make mail notifications bundle events as the web interface does" workaround, but allowing users to combine more actions that trigger notifications in one single "Submit" click, instead of artificially delaying sending notifications as an unhelpful side-effect. Which makes this task a WONTFIX in my opinion.

Qgil removed a subscriber: Qgil.Mar 13 2017, 5:20 PM
Rical added a subscriber: Rical.Feb 12 2018, 10:56 PM

Emails content is a mix of the old and the new version of the edited task description. With colors used to show changes in the task, this could be usefull.
Unfortunately the email is only in black and white, then it become very confusing.
Please, in emails, respect the colors or report only the new version of the description.
My preference is the new version only.

Aklapper closed this task as Declined.Feb 12 2018, 11:30 PM

@Rical: Your comment is unrelated to the topic of this task. General comments can be left at https://www.mediawiki.org/wiki/Talk:Phabricator/Help

Tgr added a subscriber: Tgr.Feb 12 2018, 11:55 PM

Having digest emails would be a nice option for people with limited mental bandwidth for Phabricator notification. I doubt we'd want to get into the business of maintaining that ourselves, though,